﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
.u-header__section--admin-dark {
    background-color: #fff !important;
    color: #000 !important;
}
    .u-header__section--admin-dark .u-header-logo-toggler {
        background-color: #fff !important;
    }
.fa-exclamation{
    color: blue;
    font-size: 70%;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

#myBtn {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: #273E99;
    color: white;
    cursor: pointer;
    /*padding: 15px;*/
    border-radius: 50%;
    /*font-size: 12px;*/
}

#myBtn:hover {
    background-color: #555;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

@media (min-width: 992px) {
    .container {
        max-width: 1430px;
    }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

/* Notification styles
-------------------------------------------------- */
.notification {
    background-color: #555;
    color: white;
    text-decoration: none;
    padding: 15px 26px;
    position: relative;
    display: inline-block;
    border-radius: 2px;
}

.notification .badge {
    position: absolute;
    top: -9px;
    right: -9px;
    padding: 5px 10px;
    border-radius: 50%;
    background-color: red;
    color: white;
}

.iti--allow-dropdown{
    width: 100%;
}

/* Notification (Client Portal) styles
-------------------------------------------------- */
.notification-ui a:after {
    display: none;
}

.notification-ui_icon {
    position: relative;
}

.notification-ui_icon .unread-notification {
    display: inline-block;
    position: absolute;
    top: -5px;
    left: 15px;
    background-color: #FF0000;
    color: white;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    text-align: center;
    font-size: 12px
}

.notification-ui_dd-header {
    border-bottom: 1px solid #ddd;
    padding: 15px;
}

.notification-ui_dd-content {
    max-height: 250px;
    overflow: auto;
}

.notification-list {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 20px 0;
    margin: 0 25px;
    border-bottom: 1px solid #ddd;
}

.notification-list--unread {
    position: relative;
    font-size: 12px
}

.notification-list--unread:before {
    content: "";
    position: absolute;
    top: 0;
    left: -25px;
    height: calc(100% + 1px);
    border-left: 2px solid #29B6F6;
}

/* Switch Button (Accounting/Adjustments)
-------------------------------------------------- */
.switchButton {
    position: relative;
    display: block;
    width: 40%;
    height: 100%;
    border: solid 1px #ccc;
    border-radius: 31px;
    cursor: pointer;
    transition: 0.4s ease left, 0.4s ease background;
}

.switchButtonDiv {
    width: 38%;
    height: 80%;
    background-color: #FFF;
    border: solid 1px #ccc;
    position: relative;
    top: 8%;
    left: 3%;
    border-radius: 290px;
    transition: 0.4s ease left, 0.4s ease background-position;
    z-index: 2;
}

.vendorPaid, .vendorRecd {
    position: absolute;
    top: 5%;
    font-size: 12px;
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    margin-left: 65%;
    z-index: 1;
}

.vendorRecd {
    margin-left: 4%;
}

#paidOrRecdCheckbox:checked + .switchButton .switchButtonDiv {
    left: 60%;
    background-position: -300px 0;
}

#finalOrInterimCheckbox:checked + .switchButton .switchButtonDiv {
    left: 60%;
    background-position: -300px 0;
}

/*Checkbox Rounded*/
.checkbox-round {
    width: 1.3em;
    height: 1.3em;
    background-color: white;
    border-radius: 50%;
    vertical-align: middle;
    border: 1px solid #0083F1;
    appearance: none;
    -webkit-appearance: none;
    outline: none;
    cursor: pointer;
}

.checkbox-round:checked {
    background-color: #0083F1;
}

/*Header Tabs*/
.activeHeaderTab {
    background-image: linear-gradient(#4E4E4E, #000000);
    color: white;
    border-radius: 5px 5px 5px 5px;
    border: 1px solid black;
}

.legalTeamCard:hover {
    background-color: #E4EAEF;
    transition: background-color 0.3s ease;
}

.legalTeamCardSelected {
    background-color: #E4EAEF;
    transition: background-color 0.3s ease;
}

/* Impersonate classes */
#impersonate-banner {
    display: flex;
    column-gap: 20px;
    justify-content: center;
    align-items: center;
    background-color: #1f2937;
    color: #f3f4f6;
    border-bottom: 1px solid #374151;
    padding-top: 15px;
    padding-bottom: 10px;
}

/*Accounting Dashboard Buttons*/
.wire-only-btn {
    background-color: #B98153 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black !important;
}
.certified-deposit-only-btn {
    background-color: #659DF2 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.uncertified-deposit-btn {
    background-color: #C6DCFF !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.e-transfer-btn {
    background-color: #FFA2A2 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.eft-btn {
    background-color: #FF8383 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.rush-courier-btn {
    background-color: #946FE3 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.courier-btn {
    background-color: #DEDAFF !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.regular-mail-btn {
    background-color: #B0B0B0 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.pick-up-btn {
    background-color: #E7E7E7 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.file-transfer-btn {
    background-color: #ADF0C7 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}
.trust-to-general-btn {
    background-color: #067429 !important;
    margin-bottom: 20px;
    width: 65%;
    color: black;
}